<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DoUpdateRemoteClusterReq StructType
 * @subpackage Structs
 */
class DoUpdateRemoteClusterReq extends APIRequest
{
    /**
     * The server
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 32
     * @var string
     */
    public $server;
    /**
     * The clusterId
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 32
     * @var string
     */
    public $clusterId;
    /**
     * Constructor method for DoUpdateRemoteClusterReq
     * @uses DoUpdateRemoteClusterReq::setServer()
     * @uses DoUpdateRemoteClusterReq::setClusterId()
     * @param string $server
     * @param string $clusterId
     */
    public function __construct($server = null, $clusterId = null)
    {
        $this
            ->setServer($server)
            ->setClusterId($clusterId);
    }
    /**
     * Get server value
     * @return string|null
     */
    public function getServer()
    {
        return $this->server;
    }
    /**
     * Set server value
     * @param string $server
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\DoUpdateRemoteClusterReq
     */
    public function setServer($server = null)
    {
        $this->server = $server;
        return $this;
    }
    /**
     * Get clusterId value
     * @return string|null
     */
    public function getClusterId()
    {
        return $this->clusterId;
    }
    /**
     * Set clusterId value
     * @param string $clusterId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\DoUpdateRemoteClusterReq
     */
    public function setClusterId($clusterId = null)
    {
        $this->clusterId = $clusterId;
        return $this;
    }
}
